<?php

use setasign\Fpdi\Fpdi;

require_once APPPATH . "/third_party/fpdf/fpdf.php";
require_once APPPATH . "/third_party/fpdi/src/autoload.php";


function plantilla7iitest($idformato,$pdf)
{
    $CI = &get_instance();
    $CI->load->database();
    $pdf->SetFont('Arial');
    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetXY(30, 35);
    $pdf->SetFontSize(8);
    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('7_ii_fideicomisos', $where, 1);
    $codigo_7_ii = $query->row();

    //View tipos sector 7. Fideicomisos
    $where = array('idformato' => $idformato);
    $CI->db->select('tipos_sector.nombre as nombre');
    $CI->db->from('7_ii_fideicomisos');
    $CI->db->join('tipos_sector', '7_ii_fideicomisos.sector_productivo=tipos_sector.idtipo_sector');
    $CI->db->where($where);
    $query = $CI->db->get();
    $view_tipos7 = $query->row();

    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('formatos', $where, 1);
    $codigo = $query->row();
    //II- DECLARACIÓN DE INTERESES

    ///////////7. FIDEICOMISOS
    if ($codigo_7_ii->ninguno == '1') {
        $logo = SERVIDOR . APP . 'application/images/check2.png';
        $pdf->Image($logo, 197.4, 28.5, 4, 4);
    }


    //SIN CAMBIO--SOLO PARA FORMATO MOD
    if ($codigo_7_ii->ninguno == '2') {
        $logo = SERVIDOR . APP . 'application/images/check2.png';
        $pdf->Image($logo, 197.5, 21, 4, 4);
    }
    //FORMATO INICIAL
    if ($codigo->tipo_formato == 1) {
        $pdf->SetFillColor(122, 70, 100);
        $pdf->SetY(20);
        $pdf->SetX(176);
        $pdf->MultiCell(27, 6, utf8_decode('   '), 0, 0, true);
    }
    //AGREGO POR LO MENOS 1
    if ($codigo_7_ii->ninguno == '0') {
        $pdf->SetFont('Arial', 'B', 9);
        $pdf->SetTextColor(255, 255, 255);
        $pdf->SetFillColor(122, 70, 100);
        $pdf->SetY(27);
        $pdf->SetX(176);
        $pdf->MultiCell(27, 6, utf8_decode('NÚMERO # 1'), 0, 0, true);
    }
    $pdf->SetFillColor(0, 0, 0);
    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetFont('Arial', '', 8);
    $pdf->SetY(66);
    $pdf->SetX(13);

    if ($codigo_7_ii->ninguno != '1') {

    if($codigo_7_ii->participacion == 'DECLARANTE'){
        $pdf->Cell(61, 4, utf8_decode($codigo_7_ii->participacion));


    $pdf->Cell(62, 4, utf8_decode($codigo_7_ii->tipo_fideicomiso));
    $pdf->Cell(61, 4, utf8_decode($codigo_7_ii->tipo_participacion));
    $pdf->Ln(5);
    $pdf->SetX(108);
    $pdf->Cell(92, 4, utf8_decode($codigo_7_ii->rfc_fideicomiso));
    $pdf->Ln(11);
    $pdf->SetX(13);
    $pdf->Cell(92, 4, utf8_decode($codigo_7_ii->fideicomitente));
    $pdf->Ln(11.5);
    $pdf->SetX(13);
    if ($codigo_7_ii->fideicomitente == 'PERSONA FÍSICA' && $codigo_7_ii->participacion != 'DECLARANTE') {
        $pdf->Cell(190, 4, utf8_decode($codigo_7_ii->nombre_fideicomitente), 0, 0, '', true);
        $pdf->Ln(5.5);
        $pdf->SetX(108);
        $pdf->Cell(95, 4, utf8_decode($codigo_7_ii->rfc_fideicomitente), 0, 0, '', true);
    }else{
        $pdf->Cell(95, 4, utf8_decode($codigo_7_ii->nombre_fideicomitente));
        $pdf->Ln(5.5);
        $pdf->SetX(108);
        $pdf->Cell(92, 4, utf8_decode($codigo_7_ii->rfc_fideicomitente));
    }
    
    $pdf->Ln(11);
    $pdf->SetX(13);
    $pdf->Cell(92, 4, utf8_decode($codigo_7_ii->nombre_fiduciario));
    $pdf->Ln(5.5);
    $pdf->SetX(108);
    $pdf->Cell(92, 4, utf8_decode($codigo_7_ii->rfc_fiduciario));
    $pdf->Ln(12);
    $pdf->SetX(13);
    $pdf->Cell(48, 4, utf8_decode($codigo_7_ii->fideicomisario));
    $pdf->Ln(11);
    $pdf->SetX(13);
    if ($codigo_7_ii->fideicomisario == 'PERSONA FÍSICA' && $codigo_7_ii->participacion != 'DECLARANTE') {
        $pdf->Cell(190, 4, utf8_decode($codigo_7_ii->nombre_fideicomisario), 0, 0, '', true);
        $pdf->Ln(6);
        $pdf->SetX(108);
        $pdf->Cell(95, 4, utf8_decode($codigo_7_ii->rfc_fideicomisario), 0, 0, '', true);

    }else{
        $pdf->Cell(75, 4, utf8_decode($codigo_7_ii->nombre_fideicomisario));
        $pdf->Ln(6);
        $pdf->SetX(108);
        $pdf->Cell(60, 4, utf8_decode($codigo_7_ii->rfc_fideicomisario));
    }
    
    $pdf->Ln(11.5);
    $pdf->SetX(13);
    if ($codigo_7_ii->sector_productivo == '17') {
        $pdf->Cell(92, 4, utf8_decode($codigo_7_ii->sector_productivo_esp));
    } else {
        if ($view_tipos7 != null) {
            $pdf->Cell(92, 4, utf8_decode($view_tipos7->nombre));
        }
    }
    $pdf->Text(130, 163, utf8_decode($codigo_7_ii->mexico_extranjero));
    $pdf->SetY(170);
    $pdf->SetX(13);
    $pdf->MultiCell(190, 3.5, utf8_decode($codigo_7_ii->aclaraciones), 0, '', true);

    //----------------------------------------------------------------------------
    } else {
        $pdf->Cell(61, 4, utf8_decode($codigo_7_ii->participacion), 0, 0, '', true);


        $pdf->Cell(62, 4, utf8_decode($codigo_7_ii->tipo_fideicomiso), 0, 0, '', true);
        $pdf->Cell(67, 4, utf8_decode($codigo_7_ii->tipo_participacion), 0, 0, '', true);
        $pdf->Ln(5);
        $pdf->SetX(108);
        $pdf->Cell(95, 4, utf8_decode($codigo_7_ii->rfc_fideicomiso), 0, 0, '', true);
        $pdf->Ln(11);
        $pdf->SetX(13);
        $pdf->Cell(190, 4, utf8_decode($codigo_7_ii->fideicomitente), 0, 0, '', true);
        $pdf->Ln(11.5);
        $pdf->SetX(13);
        $pdf->Cell(190, 4, utf8_decode($codigo_7_ii->nombre_fideicomitente), 0, 0, '', true);
        $pdf->Ln(5.5);
        $pdf->SetX(108);
        $pdf->Cell(95, 4, utf8_decode($codigo_7_ii->rfc_fideicomitente), 0, 0, '', true);


        $pdf->Ln(11);
        $pdf->SetX(13);
        $pdf->Cell(190, 4, utf8_decode($codigo_7_ii->nombre_fiduciario), 0, 0, '', true);
        $pdf->Ln(5.5);
        $pdf->SetX(108);
        $pdf->Cell(95, 4, utf8_decode($codigo_7_ii->rfc_fiduciario), 0, 0, '', true);
        $pdf->Ln(12);
        $pdf->SetX(13);
        $pdf->Cell(190, 4, utf8_decode($codigo_7_ii->fideicomisario), 0, 0, '', true);
        $pdf->Ln(11);
        $pdf->SetX(13);
        $pdf->Cell(190, 4, utf8_decode($codigo_7_ii->nombre_fideicomisario), 0, 0, '', true);
        $pdf->Ln(6);
        $pdf->SetX(108);
        $pdf->Cell(95, 4, utf8_decode($codigo_7_ii->rfc_fideicomisario), 0, 0, '', true);


        $pdf->Ln(11);
        $pdf->SetX(13);
        // $pdf->Cell(92, 4, utf8_decode($codigo_7_ii->sector_productivo));
        if ($codigo_7_ii->sector_productivo == '17') {
            $pdf->Cell(190, 4, utf8_decode($codigo_7_ii->sector_productivo_esp), 0, 0, '', true);
        } else {
            if ($view_tipos7 != null) {
                $pdf->Cell(190, 4, utf8_decode($view_tipos7->nombre), 0, 0, '', true);
            }
        }
        $pdf->Ln(5);
        $pdf->SetX(108);
        $pdf->Cell(95, 4, utf8_decode($codigo_7_ii->mexico_extranjero), 0, 0, '', true);

        // $pdf->Cell(92, 4, utf8_decode($codigo_7_ii->mexico_extranjero));
        $pdf->SetY(170);
        $pdf->SetX(13);
        $pdf->MultiCell(190, 3.5, utf8_decode($codigo_7_ii->aclaraciones), 0, '', true);
    }


}



    //------------------------------ADICIONALES---------------------------------------------------------
    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetXY(30, 35);
    $pdf->SetFontSize(8);
    $y = 1;
    $where = array('idformato' => $idformato);
    $query7 = $CI->db->get_where('7_ii_fideicomisos_add', $where, 1);
    $codigo_7ii_add = $query7->row();
    $pdf->SetTextColor(0, 0, 0);

    $CI->db->select('*')->from('7_ii_fideicomisos_add')->where('idformato', $idformato)->where('activo', 1);
    $consulta = $CI->db->get()->result_array();
    $lenght = count($consulta) - 1;

    for ($x = 0; $x <= $lenght; $x++) {
        $datos = array(
            $id = $consulta[$x]['idfideicomiso'],
            'idfideicomiso' => $consulta[$x]['idfideicomiso'],
            'participacion' => $consulta[$x]['participacion'],
            'tipo_fideicomiso' => $consulta[$x]['tipo_fideicomiso'],
            'tipo_participacion' => $consulta[$x]['tipo_participacion'],
            'rfc_fideicomiso' => $consulta[$x]['rfc_fideicomiso'],
            'fideicomitente' => $consulta[$x]['fideicomitente'],
            'nombre_fideicomitente' => $consulta[$x]['nombre_fideicomitente'],
            'rfc_fideicomitente' => $consulta[$x]['rfc_fideicomitente'],
            'nombre_fiduciario' => $consulta[$x]['nombre_fiduciario'],
            'rfc_fiduciario' => $consulta[$x]['rfc_fiduciario'],
            'fideicomisario' => $consulta[$x]['fideicomisario'],
            'nombre_fideicomisario' => $consulta[$x]['nombre_fideicomisario'],
            'rfc_fideicomisario' => $consulta[$x]['rfc_fideicomisario'],
            'sector_productivo' => $consulta[$x]['sector_productivo'],
            'sector_productivo_esp' => $consulta[$x]['sector_productivo_esp'],
            'mexico_extranjero' => $consulta[$x]['mexico_extranjero'],
            'aclaraciones' => $consulta[$x]['aclaraciones'],

        );

        $where = array('idformato' => $idformato, 'idfideicomiso' => $id);
        $CI->db->select('tipos_sector.nombre as nombre');
        $CI->db->from('7_ii_fideicomisos_add');
        $CI->db->join('tipos_sector', '7_ii_fideicomisos_add.sector_productivo=tipos_sector.idtipo_sector');
        $CI->db->where($where);
        $query = $CI->db->get();
        $view_tipos7 = $query->row();
        $y++;
        if ($codigo_7ii_add->idformato == $idformato) {

            $pdf->setSourceFile('plantillas/II_Declaracion_Intereses/II_7_Fideicomisos.pdf');
            $pdf->AddPage();
            $tplIdx = $pdf->importPage(1);
            $pdf->useTemplate($tplIdx, 0, 0);

            $pdf->SetFont('Arial', 'B', 9);
            $pdf->SetTextColor(255, 255, 255);
            $pdf->SetFillColor(122, 70, 100);
            $pdf->SetY(20);
            $pdf->SetX(176);
            $pdf->MultiCell(27, 6, utf8_decode('   '), 0, 0, true);
            $pdf->SetY(27);
            $pdf->SetX(176);
            $pdf->MultiCell(26, 6, utf8_decode('NÚMERO # ' . $y), 0, 0, true);
            $pdf->SetTextColor(0, 0, 0);
            $pdf->SetFillColor(0, 0, 0);
            $pdf->SetFont('Arial', '', 8);
            $pdf->SetY(66);
            $pdf->SetX(13);


            if ($datos["participacion"] == 'DECLARANTE') {
                $pdf->Cell(61, 4, utf8_decode($datos["participacion"]));
           


           
            $pdf->Cell(62, 4, utf8_decode($datos["tipo_fideicomiso"]));
            $pdf->Cell(61, 4, utf8_decode($datos["tipo_participacion"]));
            $pdf->Ln(5);
            $pdf->SetX(108);
            $pdf->Cell(92, 4, utf8_decode($datos["rfc_fideicomiso"]));
            $pdf->Ln(11);
            $pdf->SetX(13);
            $pdf->Cell(92, 4, utf8_decode($datos["fideicomitente"]));
            $pdf->Ln(11.5);
            $pdf->SetX(13);


            if ($datos["fideicomitente"] == 'PERSONA FÍSICA' && $datos["participacion"] != 'DECLARANTE') {
                $pdf->Cell(190, 4, utf8_decode($datos["nombre_fideicomitente"]), 0, 0, '', true);
                $pdf->Ln(5.5);
                $pdf->SetX(108);
                $pdf->Cell(95, 4, utf8_decode($datos["rfc_fideicomitente"]), 0, 0, '', true);
            }else{
                $pdf->Cell(92, 4, utf8_decode($datos["nombre_fideicomitente"]));
                $pdf->Ln(5.5);
                $pdf->SetX(108);
                $pdf->Cell(92, 4, utf8_decode($datos["rfc_fideicomitente"]));
            }



     
            $pdf->Ln(11);
            $pdf->SetX(13);
            $pdf->Cell(92, 4, utf8_decode($datos["nombre_fiduciario"]));
            $pdf->Ln(5.5);
            $pdf->SetX(108);
            $pdf->Cell(92, 4, utf8_decode($datos["rfc_fiduciario"]));
            $pdf->Ln(12);
            $pdf->SetX(13);
            $pdf->Cell(48, 4, utf8_decode($datos["fideicomisario"]));
            $pdf->Ln(11);
            $pdf->SetX(13);


            if ($datos["fideicomisario"] == 'PERSONA FÍSICA' && $datos["participacion"] != 'DECLARANTE') {
                $pdf->Cell(190, 4, utf8_decode($datos["nombre_fideicomisario"]), 0, 0, '', true);
                $pdf->Ln(6);
                $pdf->SetX(108);
                $pdf->Cell(95, 4, utf8_decode($datos["rfc_fideicomisario"]), 0, 0, '', true);
            }else{
                $pdf->Cell(75, 4, utf8_decode($datos["nombre_fideicomisario"]));
                $pdf->Ln(6);
                $pdf->SetX(108);
                $pdf->Cell(60, 4, utf8_decode($datos["rfc_fideicomisario"]));
            }
      
            $pdf->Ln(11.5);
            $pdf->SetX(13);
            if ($datos["sector_productivo"] == '17') {
                $pdf->Cell(92, 4, utf8_decode($datos["sector_productivo_esp"]));
            } else {
                if ($view_tipos7 != null) {
                    $pdf->Cell(92, 4, utf8_decode($view_tipos7->nombre));
                }
            }
            $pdf->Text(130, 163, utf8_decode($datos["mexico_extranjero"]));
            $pdf->SetY(170);
            $pdf->SetX(13);
            $pdf->MultiCell(190, 3.5, utf8_decode($datos["aclaraciones"]), 0, '', true);

            //----------------------------------------------
            } else {
                $pdf->Cell(61, 4, utf8_decode($datos["participacion"]), 0, 0, '', true);

                $pdf->Cell(62, 4, utf8_decode($datos["tipo_fideicomiso"]), 0, 0, '', true);
                $pdf->Cell(67, 4, utf8_decode($datos["tipo_participacion"]), 0, 0, '', true);
                $pdf->Ln(5);
                $pdf->SetX(108);
                $pdf->Cell(95, 4, utf8_decode($datos["rfc_fideicomiso"]), 0, 0, '', true);
                $pdf->Ln(11);
                $pdf->SetX(13);
                $pdf->Cell(190, 4, utf8_decode($datos["fideicomitente"]), 0, 0, '', true);
                $pdf->Ln(11.5);
                $pdf->SetX(13);
                $pdf->Cell(190, 4, utf8_decode($datos["nombre_fideicomitente"]), 0, 0, '', true);
                $pdf->Ln(5.5);
                $pdf->SetX(108);
                $pdf->Cell(95, 4, utf8_decode($datos["rfc_fideicomitente"]), 0, 0, '', true);
                $pdf->Ln(11);
                $pdf->SetX(13);
                $pdf->Cell(190, 4, utf8_decode($datos["nombre_fiduciario"]), 0, 0, '', true);
                $pdf->Ln(5.5);
                $pdf->SetX(108);
                $pdf->Cell(95, 4, utf8_decode($datos["rfc_fiduciario"]), 0, 0, '', true);
                $pdf->Ln(12);
                $pdf->SetX(13);
                $pdf->Cell(190, 4, utf8_decode($datos["fideicomisario"]), 0, 0, '', true);
                $pdf->Ln(11);
                $pdf->SetX(13);
                $pdf->Cell(190, 4, utf8_decode($datos["nombre_fideicomisario"]), 0, 0, '',true);
                $pdf->Ln(6);
                $pdf->SetX(108);
                $pdf->Cell(95, 4, utf8_decode($datos["rfc_fideicomisario"]), 0, 0, '', true);
                $pdf->Ln(11);
                $pdf->SetX(13);
                if ($datos["sector_productivo"] == '17') {
                    $pdf->Cell(190, 4, utf8_decode($datos["sector_productivo_esp"]), 0, 0, '', true);
                } else {
                    if ($view_tipos7 != null) {
                        $pdf->Cell(190, 4, utf8_decode($view_tipos7->nombre), 0, 0, '', true);
                    }
                }
                $pdf->Ln(5);
                $pdf->SetX(108);
                $pdf->Cell(95, 4, utf8_decode($datos["mexico_extranjero"]), 0, 0, '', true);
                $pdf->SetY(170);
                $pdf->SetX(13);
                $pdf->MultiCell(190, 3.5, utf8_decode($datos["aclaraciones"]), 0, '', true);
            }
        }
    }

}

